import java.util.Vector;

// Represents a permutation, i.e. a particular sequence of integer elements
public class Permutation {
	private Vector elements = new Vector();

	public Permutation() {}

	// Init permutation from given source
	public Permutation(Permutation source) {
	  elements.clear();
	  elements.addAll(source.elements);
	}

	// Add an element to end of sequence
	public void add(int element) {
	  elements.add(new Integer(element));
	}

	// Insert element at given index, shifting old elements to the right 
	public void insert(int index, int element) {
	  elements.add(index, new Integer(element));
	}
	
	// Retrieve element at given index
	public int get(int index) {
		return ((Integer) elements.get(index)).intValue();
	}
	
	// Check if element is part of permutation
	public boolean contains(int element) {
		return elements.contains(new Integer(element));
	}
	
	// Formatted output of permutation
	public String toString() {
	  return elements.toString();
	}
}
